<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-004 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/bg.gif">
  <tr>
    <td width="50" align="left" valign="top"><img src="images/001.gif" width="51" height="118"/></td>
    <td width="13" align="left" valign="top"><img src="images/001_1.gif" width="13" height="118"/></td>
    <td  background="images/bg01.gif">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="118" background="images/003.gif" style="background-repeat:no-repeat;width:100%">
		<!-- LOGO -->
		<table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2" style="padding-right:4px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
            <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
          </tr>
          <tr>
            <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
          </tr>
        </table>
		<!-- END LOGO --></td>
      </tr>
    </table></td>
    <td width="14" align="right" valign="top"><img src="images/001_2.gif" width="14" height="118"/></td>
    <td width="51" align="right" valign="top"><img src="images/002.gif" width="51" height="118"/></td>
  </tr>
  <tr>
    <td align="left" valign="top"><img src="images/004.gif" width="51" height="50"/></td>
    <td valign="top"><img src="images/004_2.gif" width="13" height="50"/></td>
    <td valign="top" background="images/004_3.gif" align="center">
	<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
	<!-- END MENU -->
	</td>
    <td valign="top"><img src="images/004_4.gif" width="14" height="50"/></td>
    <td align="right" valign="top"><img src="images/004_1.gif" width="51" height="50"/></td>
  </tr>
  <tr>
    <td align="left" valign="top" background="images/bg.gif"><img src="images/005.gif" width="51" height="248"/></td>
    <td colspan="3" valign="top" background="images/headerbg.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" height="248" background="images/header.jpg" style="background-repeat:no-repeat;padding-top:90px;">
		<table height="48"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="right" style="padding-right:10px; padding-left:40px"><img src="images/sl.gif" width="7" height="7"/></td>
          <td width="136" class="slogan2"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
        </table>
		</td>
      </tr>
    </table></td>
    <td align="right" valign="top" background="images/bg.gif"><img src="images/005_1.gif" width="51" height="248"/></td>
  </tr>
  <tr>
    <td align="left" valign="top" style="background-image: url(images/006.gif);
	background-repeat: no-repeat;
	background-position: right top;"></td>
    <td valign="top" bgcolor="#FFFFFF"></td>
    <td  width="100%" height="100%" valign="top" bgcolor="#FFFFFF" ><table width="100%" height="100%" border="0" cellpadding="10" cellspacing="0">
      <tr>
        <td valign="top" height="100%"  style="width:180px;padding-top:45px;padding-left:10px" >
		<!-- SUBMENU -->
		<table width="170"  border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		<!-- END SUBMENU -->
		</td>
        <td valign="top" width="100%" height="100%" style="padding:20px">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					 <td class="icon"><img src="images/008.gif" width="17" height="17"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
			<tr>
			<td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
  <xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
    <td valign="top" bgcolor="#FFFFFF"></td>
    <td align="right" valign="top" style="background-image: url(images/006_1.gif);
	background-repeat: no-repeat;
	background-position: right top;"></td>
  </tr>
  <tr>
    <td align="left" valign="top" background="images/bg.gif"></td>
    <td width="13" height="42" valign="top" background="images/007_2.gif" style="background-repeat:no-repeat; top"><img src="images/007_1.gif" width="13" height="42"/></td>
    <td valign="top" background="images/007_2.gif" style="background-repeat:repeat-x; top"></td>
    <td valign="top" background="images/007_2.gif" style="background-repeat:no-repeat; top"><img src="images/007_3.gif" width="14" height="42"/></td>
    <td background="images/bg.gif"></td>
  </tr>
  <tr>
    <td height="50" colspan="2"></td>
    <td valign="top"><table width="100%" height="40"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" class="c">
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
<!-- FOOTER --> 
		   <td class="copyright" align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
<!-- END FOOTER -->
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td colspan="2"></td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td background="images/aa_1.gif" class="submenua" style="width:162;padding-left:10px;height:30px;background-repeat:no-repeat;background-position: left;" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td colspan="2" background="images/aa.gif" class="iconleft" style="width:20;height:30px;background-repeat:no-repeat;background-position: right;"><img src="images/009_1.gif" width="6" height="5"/></td>
          </tr>
		  		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		<tr>
            <td class="submenu" style="height:30px;padding-left:10px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td colspan="2" class="iconleft"  style="height:30px;"><img src="images/009.gif" /></td>
          </tr>

			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
            <td height="8" colspan="3"><div style="height:1px; background-color: #D9D9D9; background-repeat: repeat-x;"><span></span></div></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td width="10" align="center"><img src="images/bot.gif" width="1" height="25"/></td>
<td ><a href="{@HREF}" class="copyright" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td width="10" align="center"><img src="images/bot.gif" width="1" height="25"/></td>
<td><a href="{@HREF}" class="copyright" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
