<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-006 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div align="center">
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td height="117" align="left" valign="top" background="images/title_center.jpg"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background-image: url(images/title_left.jpg);background-repeat: no-repeat;background-position: left center;">
<table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td valign="top"><img src="images/space.gif" width="40" height="8"/></td>
                        <td width="50"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                        <td valign="top"><img src="images/space.gif" width="10" height="8"/></td>
                        <td><table width="360" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="360" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                          </tr>
                          <tr>
                            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                          </tr>
                        </table></td>
                      </tr>
                    </table></td>
          </tr>
      </table></td>
    </tr>
    <tr>
      <td height="47" background="images/menu_bj.gif"><div align="center">
          <table  border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="30"></td>
              <xsl:call-template name="TOP-MENU"/>
              <td width="30"></td>
            </tr>
          </table>
      </div></td>
    </tr>
    <tr>
      <td height="6" background="images/menu_bj2.gif"></td>
    </tr>
    <tr>
      <td height="217" background="images/headers_bjimage.jpg">
	  <table width="100%" height="217" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background-image: url(images/header1.jpg);background-repeat: no-repeat;background-position: right center;">
			<table width="100%" height="217" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="background-image: url(images/header2.jpg);background-repeat: no-repeat;background-position: left center;">
                    </td>
                </tr>
            </table></td>
          </tr>
      </table></td>
    </tr>
    <tr>
      <td height="1" bgcolor="#FFFFFF"></td>
    </tr>
    <tr>
      <td height="100%" valign="top">
	  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="220" valign="top" background="images/left_image.gif"><img src="images/space.gif" width="237" height="12"/>
                <table width="190" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                  </tr>
            </table>                </td>
            <td height="100%" valign="top" bgcolor="#FFFFFF"><img src="images/space.gif" width="543" height="12"/>
                <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="100%" align="left" valign="top">
					<table cellpadding="0" cellspacing="0" border="0" class="pageContent">
                        <tr>
                          <td  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          <td class="icon"><img src="images/main_icon.gif" width="17" height="17"/></td>
                        </tr>
                    </table><br/><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
                  </tr>
            </table></td>
          </tr>
      </table></td>
    </tr>
    <tr>
      <td height="47" background="images/bmenu_bj.gif"><div align="center">
        <table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="30"></td>
            <xsl:call-template name="BOTTOM-MENU"/>
            <td width="30"></td>
          </tr>
        </table>
      </div></td>
    </tr>
    <tr>
      <td height="43" bgcolor="#FFFFFF" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
    </tr>
    <tr>
      <td height="6" background="images/menu_bj2.gif"></td>
    </tr>
  </table>
</div>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
		 <td class="smenu"><span class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
         <td class="iconleft"><img src="images/left_icon.gif" width="9" height="9"/></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		<tr>
		<td class="smenu"><a href="{@HREF}" class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td class="iconleft"><img src="images/left_icon.gif" width="9" height="9"/></td>
        </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
       <tr>
        <td height="1" colspan="2" background="images/thin_line.gif"></td>
       </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            <td class="bmenua"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   <td class="bmenu"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
           <td valign="middle" class="iconfoot"><img src="images/bottom_icon.gif" width="7" height="7" style="padding:0 10px"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
