<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-009 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr valign="bottom">
    <td width="100%" height="177" background="images/top_bg.gif">
	  <TABLE cellSpacing="0" cellPadding="0" border="0">
        <TBODY>
          <TR>
            <TD style="padding-left:50px">
			<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</TD>
            <TD class="logo">
			<span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</span><br/>
                <span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</span></TD>
          </TR>
        </TBODY>
      </TABLE>
	  <br/>
	  <br/>
	  <TABLE border="0" cellpadding="0" cellspacing="0" width="100%" style="margin:0 50px">
      <TBODY>
        <TR>
          <TD height="42" valign="middle" align="center" background="images/menu1_bg.gif">
		  <TABLE border="0" cellpadding="0" cellspacing="0">
              <TBODY>
                <TR>
<xsl:call-template name="TOP-MENU"/>
                </TR>
              </TBODY>
          </TABLE></TD>
        </TR>
        <TR>
          <TD height="6" background="images/menu1_bg.gif" style="background-position:bottom;"></TD>
        </TR>
      </TBODY>
    </TABLE></td>
    </tr>
	<tr valign="top" bgcolor="#FFFFFF" >
    <td width="100%" height="51" background="images/00_03.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="56%" align="left" valign="top"><img src="images/00_02.jpg" width="433" height="227"/></td>
        <td width="44%" align="right"><img src="images/header.jpg" width="324" height="227"/></td>
      </tr>
    </table></td>
    </tr>
<tr bgcolor="#FFFFFF">
    <td height="4"><img src="images/blank.gif" width="780" height="4"/>
</td>
    </tr>
  <tr>
    <td width="100%" height="100%">
	  <table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
        <tr>
          <td><img src="images/blank.gif" width="75" height="4"/></td>
			<td width="210" align="center" valign="top" background="images/submbg.jpg">
			<img src="images/blank.gif" width="210" height="20"/>
			<TABLE width="190" border="0" cellspacing="0" cellpadding="0">
			<TBODY>
			<xsl:call-template name="SUB-MENU">
			<xsl:with-param name="pageID" select="@ID"/>
			</xsl:call-template>
			</TBODY>
			</TABLE>
			</td>
			<td width="100%" height="100%" align="left" valign="top" style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
			<tr>
			<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			<td style="padding-left: 5px;"><img src="images/title_point.gif" border="0" alt=""/></td>
			</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>

			<!-- END CONTENT --></td>
			</tr>
			</table>
			</td>
  </tr>
  <tr>
    <td height="49"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><img src="images/blank.gif" width="75" height="4"/></td>
        <td width="100%" height="100%">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="49" align="center" background="images/menu2_bg.gif">
		<TABLE border="0" cellspacing="0" cellpadding="0">
          <TBODY>
            <TR>
<xsl:call-template name="BOTTOM-MENU"/>
            </TR>
          </TBODY>
        </TABLE></td>
      </tr>
    </table>
		</td>
        <td><img src="images/blank.gif" width="75" height="4"/></td>
      </tr>
    </table></td>    </tr>
  <tr>
    <td align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
    </tr>
</table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<TR>
          <TD height="20" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></TD>
          <TD width="20" align="center"><IMG src="images/bullet2.gif"/></TD>
        </TR>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <TR>
          <TD height="20" class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></TD>
          <TD width="20" align="center"><IMG src="images/bullet2.gif"/></TD>
        </TR>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
        <TR>
          <TD colSpan="2" background="images/line.gif"><IMG src="images/line.gif"/></TD>
        </TR>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td style="padding:0 5px"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="abmenu" style="padding:0 5px"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
           </xsl:when>
           <xsl:otherwise>
        <td  style="padding:0 5px"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
              <TD align="center"><IMG src="images/bullet3.gif"/></TD>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
