<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-010 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;background-image: url(images/bg.gif);">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" background="images/bg.gif" style="padding-right:100px; padding-left:100px;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="100" colspan="2" style="padding-right:40px; padding-left:40px;">
	<!-- LOGO -->
        <table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="100%" class="icon">
			<table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td rowspan="2" valign="top" style="padding-top:5px; padding-right:8px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</div></td>
                  <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                </tr>
                <tr>
                  <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
                </tr>
            </table>
			</td>
          </tr>
        </table>
        <!-- END LOGO -->
    </td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td colspan="2" class="bb" style="padding:25px;">
	<!-- MENU -->
        <table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
        <!-- END MENU -->
    </td>
  </tr>
  <tr valign="top" bgcolor="#FFFFFF" background="images/002_1.gif">
    <td colspan="2" bgcolor="#FFFFFF">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="51"><img src="images/002.gif" width="51" height="224"/></td>
          <td valign="top" background="images/002_1.gif">
		  <table width="100%" height="224" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td background="images/header.jpg" style="background-repeat:no-repeat;background-position: left top;">
				<table width="240" border="0" align="right" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="slogana" style="padding-right:40px;"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                    </tr>
                </table></td>
              </tr>
          </table></td>
          <td width="13" bgcolor="#FFFFFF"></td>
        </tr>
    </table></td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td height="13" colspan="2"></td>
  </tr>
  <tr>
    <td height="1" colspan="2"></td>
  </tr>
  <tr>
    <td width="200" valign="top"  >
	<table width="200" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td bgcolor="#838FA7" style="padding-top:20px;padding-bottom:20px;">
		  <!-- SUBMENU -->
              <table width="150"  border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table></td>
        </tr>
      </table>
        <!-- END SUBMENU --></td>
    <td width="100%" height="100%" valign="top" style="padding:20px;"><!-- CONTENT -->
      <table cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </tr>
            </table>		    

			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%"><tr><td name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
</td>
  </tr>
  <tr>
    <td width="200" height="2" valign="top" bgcolor="#E4E9E5"></td>
    <td width="100%" rowspan="2"  align="center" bgcolor="#FF9600" style="padding-right:15px; padding-left:15px;">
        <!-- BOTTOM MENU -->
	<table border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="BOTTOM-MENU"/>
      </table>
        <!-- END BOTTOM MENU --></td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF">
<!-- FOOTER -->
<div style="width:200px; height:1px;"><span></span></div>
        <table width="200" height="100" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table>
        <!-- END FOOTER --></td>
  </tr>
</table>
	</td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                <tr>
                  <td class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td class="aa"><img src="images/001.gif" /></td>
                </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                <tr>
                  <td ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td class="aa"><img src="images/001.gif" /></td>
                </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                <tr >
                  <td height="10" colspan="2" ><div style="height:1px;background-color:#A0ABBF"><span></span></div></td>
                </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td width="20" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
